Problem with installs after downgrading

Discussion in '3DS - Flashcards & Custom Firmwares' started by Kotomine Kirei, Mar 14, 2016.

  1. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    I downgraded my old 3DS from 10.6 to 9.2, reinstalled Ninjhax for 9.2, ran PastaCFW, then ran FBl and tried installing another program like it.
    However, upon doing so I was met with the following error:

    Warning: Spoilers inside!

    So I tried disabling FirmLaunch in PastaCFW's options and retried to install the program.
    This time this appeared:

    Warning: Spoilers inside!

    I have tried formatting the system and erasing the SD card but to no avail.
    I am not sure what to do.
    Could I get some help with solving this issue please?

    I doubt that it matters, but, just in case it somehow does, I will mention that I pressed A on "Format emuNAND" before any of this.
    Also, a while ago before I updated to 10.6 from 9.2, I was able to install everything just fine.
     
  2. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    Your firmlaunch needs to be at 9.2 to install cias through fbi with homebrewlauncher. Yours is at 10.x that's why you get the error. I'm not sure how to install cias on 10.x firmlaunch but it should work if you use the fbi injected into health&safety app. Or just use a firmware.bin from 9.2 and install fbi with homebrewlauncher then it should work on 10.x too.
     
    Kotomine Kirei likes this.
  3. Gcentrex

    Gcentrex GBAtemp Regular

    Member
    216
    73
    Oct 29, 2015
    United States
    New York
    Ok are you talking about sysNAND or emuNAND from a CFW as its not clear
     
    Kotomine Kirei likes this.
  4. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    Doesn't matter. I'm talking about that nand where you want to install to.
     
    Kotomine Kirei likes this.
  5. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    ...Is the FirmLaunch something that is capable of being downgraded?
    Also, how would I go about using a 9.2 firmware.bin and installing FBl via the homebrew launcher or injecting FBl into the Health and Safety program?

    SysNAND if you were talking about my post.
     
  6. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    There are tutorials how to inject the fbi into the app. Look for any downgrade tut.
    Or get a firmware.bin and replace it on the sd. I recommend Aureinand because the firmware.bin is provided. Install it and while holding 'L' you'll boot with firmlaunch9.0. Then you can install fbi onto your sysnand with hbl.
     
    Kotomine Kirei likes this.
  7. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    I have no idea how to get a firmware.bin, and I have looked around a bit, but I am not sure which tutorial I should use.
    Also, reiNAND is only for New 3DSes, right? Is it available for old ones as well?
     
  8. tRiBaLmUnKy

    tRiBaLmUnKy GBAtemp Regular

    Member
    170
    15
    Sep 19, 2003
    United States
    AuReiNAND works with O3DS's

    https://gbatemp.net/threads/aureinand-n3ds-o3ds-a9lh.411110/
     
    Kotomine Kirei likes this.
  9. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    Thank you for the link and information.

    Anyway, I installed AuReiNand and ran it holding "L", but I am still getting an error when using FBl.
    By installing it with HBL, do you mean putting the .3dsx/.smdh for it into a folder in the 3DS folder?
     
  10. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    It should work. How are you starting fbi? Normally you use the 3dsx version with hbl. Is the Firmware90.bin inside the rei folder?

    Start aureinand while holding L. This uses firmware90.bin to have 9.0 firmlaunch.
    Start hbl through any exploit (browserhax/ninjahax Etc.). Launch fbi and install any cia. Should work.
     
    Last edited by GothicIII, Mar 14, 2016
    Kotomine Kirei likes this.
  11. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    1. I start up my 3DS.
    2. I start Cubic Ninja and Ninjhax.
    3. I start AuReiNand holding "L" and continue until the 3DS menu appears.
    4. I redo 1-2, then I start FBl.
    5. I go into my folder for .cias at the root of the SD card.
    6. I press "A" on one and press it again when it asks if I want to install it.
    7. I get an error.
    8. I try all of the .cias and still get an error.
    "Install failed!
    fileName.ext
    Source: SOURCE_APP_WRITE_CIA (0x6)
    Module: MODULE_NN_FS (0x11)
    Level: LEVEL_PERMANENT (0x1b)
    Summary: SUMMARY_WRONG_ARGUMENT (0x8)
    Description: <unknown> (0x18a)
    Press Start to continue."

    Would missing titles cause this problem?
    Because I just ran "Downgrade Check" and it says that a lot of titles are missing.
    If it is the problem, I have no idea how to fix that...

    I tried to use sysUpdater to reinstall the updates, but even though it says that they are installed, Downgrade Check says that they are missing.
     
    Last edited by Kotomine Kirei, Mar 14, 2016
  12. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    Downgradecheck is not working because of the same problem fbi doesn't work. Somehow you are still not having firmlaunch 9.0. FBI need it to install cia and Downgradechecker need it to properly detect missing updates.

    I'm sorry I don't know why it doesn't work for you. Maybe you have really a partial downgrade but you would have different problems like hbl/cfw not working at all. Try the injecting method then with decrypt9. Look for a tut somewhere here around.
     
    Kotomine Kirei likes this.
  13. Kotomine Kirei
    OP

    Kotomine Kirei GBAtemp Regular

    Member
    228
    28
    May 21, 2015
    United States
    Well, I found the solution.
    My database (?) was corrupted I guess.
    I went to Data Management in System Settings and after it repaired that everything worked just fine.
    I do not know how that got corrupted, but...well, it works now anyway, so I will not question it too much.

    Thanks to all of you for all of the help that was given.
     
  14. GothicIII

    GothicIII GBAtemp Fan

    Member
    498
    137
    Jan 4, 2015
    Gambia, The
    That's good to know then. I would have posted this solution but normally you get a different error massage in fbi. <database corrupt> following by <wrong argument>
     
    Kotomine Kirei likes this.